> ## Documentation Index
> Fetch the complete documentation index at: https://docs.breezeblue.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get generation job

> Get the status and result metadata for an asynchronous text-to-speech job.



## OpenAPI

````yaml /openapi.json get /v1/generation-jobs/{generation_job_id}
openapi: 3.1.0
info:
  title: Breeze Developer API
  description: >-
    Breeze Developer API for models, voices, text-to-speech, history, balance,
    usage, and browser-managed API keys.
  version: 1.0.0
servers:
  - url: https://api.breeze.blue
security: []
tags:
  - name: Models
    description: Supported TTS models.
  - name: Text to Speech
    description: Text-to-speech synthesis and instruction rewriting.
  - name: Voices
    description: Saved voices and voice settings.
  - name: Voice Previews
    description: Create, audition, and save temporary voice previews.
  - name: Account
    description: Balance, usage, and API keys.
  - name: History
    description: Generated audio history.
paths:
  /v1/generation-jobs/{generation_job_id}:
    get:
      tags:
        - Text to Speech
      summary: Get generation job
      description: >-
        Get the status and result metadata for an asynchronous text-to-speech
        job.
      operationId: generation_jobs_get
      parameters:
        - name: generation_job_id
          in: path
          required: true
          schema:
            title: Generation Job Id
            type: string
          description: Generation job identifier returned by async text-to-speech.
      responses:
        '200':
          description: Generation job.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerationJobResponse'
          headers:
            x-breeze-api-key-id:
              description: >-
                Public API key identifier used to authenticate the request, when
                an API key was used.
              schema:
                type: string
        '401':
          description: HTTP 401 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: HTTP 404 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl \
              --request GET \
              --url "https://api.breeze.blue/v1/generation-jobs/job_01hasync" \
              --header "xi-api-key: $BREEZE_API_KEY"
        - lang: Python
          label: Python SDK
          source: |-
            import os

            from breeze_blue import BreezeBlue

            client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

            job = client.generation_jobs.get("job_01hasync")

            print(job["status"])
        - lang: TypeScript
          label: TypeScript SDK
          source: |-
            import { BreezeBlueClient } from "@breeze.blue/sdk";

            const client = new BreezeBlueClient({
              apiKey: process.env.BREEZE_API_KEY!,
            });

            const job = await client.generationJobs.get("job_01hasync");

            console.log(job.status);
components:
  schemas:
    GenerationJobResponse:
      additionalProperties: true
      properties:
        generation_job_id:
          title: Generation Job Id
          type: string
        history_item_id:
          title: History Item Id
          type: string
        status:
          title: Status
          type: string
        state:
          title: State
          type: string
        source:
          title: Source
          type: string
        voice_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Voice Id
        voice_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Voice Name
        voice_category:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Voice Category
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Model Id
        text:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Text
        content_type:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Content Type
        download_url:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Download Url
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Created At
        completed_at:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Completed At
        date_unix:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Date Unix
        error:
          anyOf:
            - $ref: '#/components/schemas/GenerationJobErrorResponse'
            - type: 'null'
          default: null
      required:
        - generation_job_id
        - history_item_id
        - status
        - state
        - source
      title: GenerationJobResponse
      type: object
    ErrorResponse:
      properties:
        ok:
          default: false
          title: Ok
          type: boolean
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        error:
          title: Error
          type: string
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Meta
      required:
        - code
        - detail
        - error
      title: ErrorResponse
      type: object
    GenerationJobErrorResponse:
      properties:
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
      required:
        - code
        - detail
      title: GenerationJobErrorResponse
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: xi-api-key
      description: Breeze Developer API key.

````